Table of Contents

## Name

XpGetScreenOfContext - Obtains a pointer to the screen associated with the specified print context.

## Synopsis

cc [ flag... ] file... -lXp [ library... ]`` ``
#include <X11/extensions/Print.h>

Screen *XpGetScreenOfContext ( display, print_context )
Display *display;
XPContext print_context;

## Arguments

display
  Specifies a pointer to the Display structure; returned from XOpenDisplay.
print_context
  A pre-existing print context. This argument is currently ignored, but must be specified.

## Description

XpGetScreenOfContext returns the screen that is associated with the current print context of display. This call must be made after XpSetContext to determine which specific screen other X resources must be created on.

Each printer supported by a print server is associated with exactly one of the screens returned in the connection setup reply.

This function returns NULL if failed to get the screen.

## Diagnostics

XPBadContext
  A valid print context-id has not been set prior to making this call.

## See Also

XpSetContext(3Xp)

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Diagnostics
- See Also